nRF51 SDK: ble_cs_ctrlpt_init_t Struct Reference

| nRF51 SDK

- Home
- Related Pages
- API Reference
- Data Structures

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Functions Variables Typedefs Enumerations Enumerator Groups Pages
Data Fields
ble_cs_ctrlpt_init_t Struct Reference
Speed and Cadence Control Point

Speed and Cadence Control Point init structure. This contains all options and data needed for initialization of the Speed and Cadence Control Point module. More...

`#include <ble_sc_ctrlpt.h>`

## Data Fields

ble_srv_cccd_security_mode_t | sc_ctrlpt_attr_md
uint8_t | supported_functions
uint16_t | service_handle
ble_sc_ctrlpt_evt_handler_t | evt_handler
ble_sensor_location_t * | list_supported_locations
uint8_t | size_list_supported_locations
uint16_t | sensor_location_handle
ble_srv_error_handler_t | error_handler

## Detailed Description

Speed and Cadence Control Point init structure. This contains all options and data needed for initialization of the Speed and Cadence Control Point module.

## Field Documentation

ble_srv_error_handler_t ble_cs_ctrlpt_init_t::error_handler

Function to be called in case of an error.

ble_sc_ctrlpt_evt_handler_t ble_cs_ctrlpt_init_t::evt_handler

event handler

ble_sensor_location_t* ble_cs_ctrlpt_init_t::list_supported_locations

list of supported sensor locations.

ble_srv_cccd_security_mode_t ble_cs_ctrlpt_init_t::sc_ctrlpt_attr_md

Initial security level for cycling speed and cadence control point attribute

uint16_t ble_cs_ctrlpt_init_t::sensor_location_handle

handle for the sensor location characteristic (if sensor_location related operation are supported).

uint16_t ble_cs_ctrlpt_init_t::service_handle

Handle of the parent service (as provided by the BLE stack).

uint8_t ble_cs_ctrlpt_init_t::size_list_supported_locations

number of supported sensor locations in the list.

uint8_t ble_cs_ctrlpt_init_t::supported_functions

supported control point functionnalities see BLE_SRV_SC_CTRLPT_SUPP_FUNC.